Skip to main content
GET
/
v1
/
tasks
/
{taskId}
Read Task
curl --request GET \
  --url https://localtest.mindbridge.ai/api/v1/tasks/{taskId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "engagementId": {},
  "analysisResultId": {},
  "status": "OPEN",
  "type": "ENTRY",
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "analysisId": {},
  "analysisTypeId": {},
  "transaction": "<string>",
  "name": "<string>",
  "rowId": 123,
  "transactionId": 123,
  "assignedId": {},
  "description": "<string>",
  "comments": [
    {
      "commentText": "<string>",
      "captured": "2023-11-07T05:31:56Z",
      "authorId": {}
    }
  ],
  "sample": "<string>",
  "auditAreas": [
    "<string>"
  ],
  "assertions": [
    "<string>"
  ],
  "sampleType": "RISK_BASED",
  "entryType": "<string>",
  "vendorName": "<string>",
  "customerName": "<string>",
  "invoiceRef": "<string>",
  "creditValue": 123,
  "debitValue": 123,
  "riskScores": {},
  "filterStatement": "<string>",
  "taskApprovalStatus": "PENDING",
  "dueDate": "2023-12-25",
  "approverId": {},
  "tags": [
    "<string>"
  ],
  "amounts": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

taskId
string
required

Response

OK

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

engagementId
object
required

Identifies the associated engagement.

analysisResultId
object
required
status
enum<string>
required

The current state of the task.

Available options:
OPEN,
NORMAL,
COMPLETED,
DISMISSED,
RESOLVED
type
enum<string>
required

The type of entry this task is associated with.

Available options:
ENTRY,
TRANSACTION,
AP_ENTRY,
AR_ENTRY,
AP_OUTSTANDING_ENTRY,
AR_OUTSTANDING_ENTRY,
TRA_ENTRY
id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

analysisId
object

Identifies the associated analysis.

analysisTypeId
object

Identifies the associated analysis type.

transaction
string

The name of the associated transaction.

name
string

The task's name. Generated based on on the related entry or transaction.

rowId
integer<int64>

Identifies the associated entry.

transactionId
integer<int64>

Identifies the associated transaction.

assignedId
object

Identifies the user assigned to this task.

description
string

A description of the task.

comments
Task Comment · object[]

A list of all the comments that have been made on this task.

sample
string

Which sample this task is a part of.

auditAreas
string[]

Which audit areas this task is associated with.

assertions
string[]

Which assertions this task is associated with.

sampleType
enum<string>

The sampling method used to create this task.

Available options:
RISK_BASED,
RANDOM,
MANUAL,
MONETARY_UNIT_SAMPLING
entryType
string

For AP and AR analyses this is the entry type for the associated entry.

vendorName
string

For AP analyses this is the vendor name for the associated entry.

customerName
string

For AR analyses this is the customer name for the associated entry.

invoiceRef
string

For AP and AR analyses this is the Invoice ref value for the associated entry.

creditValue
integer<int64>
deprecated

The credit value of the associated transaction or entry, formatted as MONEY_100.

debitValue
integer<int64>
deprecated

The debit value of the associated transaction or entry, formatted as MONEY_100.

riskScores
object

A map of ensemble names or IDs mapped to their risk score value. The value is a PERCENTAGE_FIXED_POINT type.

filterStatement
string

The filter statement that was applied when creating this task via a bulk task creation.

taskApprovalStatus
enum<string>
Available options:
PENDING,
REJECTED,
APPROVED
dueDate
string<date>
approverId
object
tags
string[]
amounts
object